Bug 1478291 - Help icons in Virtual Machines>Import and Storage>VM Import>Import should point to different docs sections
Help icons in Virtual Machines>Import and Storage>VM Import>Import should poi...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhvm-doc (Show other bugs)
4.1.4
Unspecified Unspecified
unspecified Severity low
: ovirt-4.2.0
: ---
Assigned To: Greg Sheremeta
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 04:20 EDT by Jiri Belka
Modified: 2017-09-04 16:03 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (40.71 KB, image/png)
2017-08-04 04:20 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2017-08-04 04:20:48 EDT
Created attachment 1308940 [details]
screenshot

Description of problem:

The docs says:

~~~
6.12.3. Importing a Virtual Machine into the Destination Data Center
You have a virtual machine on an export domain. Before the virtual machine can be imported to a new data center, the export domain must be attached to the destination data center.
~~~

But we allow import VM from data domain as well. Also dialog window is little bit different in my case (see screenshot).

Plus I do not see any explanation related to my case (importing from data SD) about the features (see screenshot):

- vNic Profile Mapping
- Reassign Bad MACs

I have no glue what's the latter thing is :)

Version-Release number of selected component (if applicable):
rhevm-doc-4.1.4-1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. try to import vm from data SD
2. click (?) and read doc
3.

Actual results:
no word about importing from data SD, no info about vNic Profile Mapping and Reassign Bad MACs

Expected results:
doc should cover this scenario and explain everything user can click in the dialog

Additional info:
Comment 1 Tahlia Richardson 2017-08-06 20:59:28 EDT
Hi Jiri, 

Importing VMs from a data domain is documented here: https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/administration_guide/sect-importing_existing_storage_domains#Importing_Virtual_Machines_from_an_Imported_Data_Storage_Domain

Although the documentation does exist, this still raises a good point; the two sections should be in the same guide. Both sections could be optimized for better findability. 

(The above link is in the Admin Guide, and Importing a Virtual Machine into the Destination Data Center in the the VMM Guide at https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/virtual_machine_management_guide/sect-exporting_and_importing_virtual_machines_and_templates#Importing_the_virtual_machine_into_the_destination_data_center)

I had tentative plans for improving the layout and placement of this content already, but they were on hold until the removal of the export domain (which would require larger changes to that section of the VMM Guide). Based on this bug, however, it may be better to do some of the improvements sooner.
Comment 2 Jiri Belka 2017-08-08 01:54:09 EDT
(In reply to Tahlia Richardson from comment #1)
> Hi Jiri, 
> 
> Importing VMs from a data domain is documented here:
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/
> html/administration_guide/sect-
> importing_existing_storage_domains#Importing_Virtual_Machines_from_an_Importe
> d_Data_Storage_Domain
> 
> Although the documentation does exist, this still raises a good point; the
> two sections should be in the same guide. Both sections could be optimized
> for better findability. 
> 
> (The above link is in the Admin Guide, and Importing a Virtual Machine into
> the Destination Data Center in the the VMM Guide at
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/
> html/virtual_machine_management_guide/sect-
> exporting_and_importing_virtual_machines_and_templates#Importing_the_virtual_
> machine_into_the_destination_data_center)
> 
> I had tentative plans for improving the layout and placement of this content
> already, but they were on hold until the removal of the export domain (which
> would require larger changes to that section of the VMM Guide). Based on
> this bug, however, it may be better to do some of the improvements sooner.

The bug is about being redirected (after clicking (?) in the dialog) to doc which does not cover importing from data domain. User does not know that such content could exist somewhere else, he would just click help (?) icon.
Comment 3 Tahlia Richardson 2017-08-08 02:14:14 EDT
Thanks for clarifying. In that case, that's a problem with rhevm-doc, especially if Virtual Machines > Import and Storage > VM Import > Import use the same anchor despite being slightly different windows (with, confusingly, the same name). 

Moving to the rhevm-doc component. 

Virtual Machines > Import should point to https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/virtual_machine_management_guide/sect-exporting_and_importing_virtual_machines_and_templates

Storage > VM Import > Import should point to https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/administration_guide/sect-importing_existing_storage_domains#Importing_Virtual_Machines_from_an_Imported_Data_Storage_Domain

Note You need to log in before you can comment on or make changes to this bug.